Galon Cloud
Galon API v1

/projects/{project_id}/webhook-deliveries/{delivery_id}/replay

Base URL https://api.galon.ai/v1 · export GALON_API_BASE="https://api.galon.ai/v1"

POST /projects/{project_id}/webhook-deliveries/{delivery_id}/replay

Replay a terminal delivery

Console session only (signed-in console).

Parameters

NameInTypeDescription
project_idpathstring · required
delivery_idpathstring · required

Responses

StatusDescriptionBody
200RequeuedWebhookDeliveryResponse
404Not replayable

Examples

curl

curl -X POST "$GALON_API_BASE/projects/<project_id>/webhook-deliveries/<delivery_id>/replay" \
  -H "Authorization: Bearer $GALON_API_KEY"

Node.js (SDK)

import { Galon } from "galon";

const galon = new Galon(process.env.GALON_API_KEY);
const result = await galon.webhooks.replay("<id>");

Python (SDK)

from galon import Galon

galon = Galon()  # reads GALON_API_KEY
result = galon.webhooks.replay("<id>")